Uploaded image for project: 'Ivy'
  1. Ivy
  2. IVY-1563

Move to 4.x version of HTTP client library

    Details

    • Type: Dependency upgrade
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.5.0-rc1
    • Component/s: Core
    • Labels:
      None

      Description

      `commons-httpclient` library which is used internally in Ivy has been deprecated for a while now and HttpComponents Client library[1] is the successor to it. It's time to move to this newer library for the reasons discussed in the dev mailing list thread[2]

      [1] https://hc.apache.org/index.html
      [2] https://www.mail-archive.com/dev@ant.apache.org/msg45950.html

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                jaikiran jaikiran pai
                Reporter:
                jaikiran jaikiran pai
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: